package com.microservices.zone.partners.domain.vo;

import com.microservices.zone.partners.domain.ZonePartnersType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author otto
 */

@Data
@ApiModel("合作伙伴分类更新对象")
public class ZonePartnersTypeUpdateVo {
    @ApiModelProperty(value = "合作伙伴分类Id", required = true)
    @NotNull
    private Long id;
    @ApiModelProperty(value = "合作伙伴分类名称")
    private String name;
    @ApiModelProperty(value = "合作伙伴分类顺序")
    private Integer order;

    public ZonePartnersType toZonePartnersType() {
        ZonePartnersType zonePartnersType = new ZonePartnersType();
        zonePartnersType.setId(id);
        zonePartnersType.setName(name);
        return zonePartnersType;
    }
}
